<?php

/**
 * Implements hook_visual_select_file_formatter_options_alter().
 *
 * $options contains #options-like options for a select element.
 * $context contains:
 * - 'form' -- the full form array of views_exposed_form().
 * - 'form_state' -- the full form_state array of views_exposed_form().
 * - 'view' -- the full View object for the current View.
 * - 'field' -- the 'vsf_field' string from $_GET, with format 'entity_type.bundle.field_name'.
 * - 'default_formatter' (by ref) -- the default selected formatter, defaults to empty (- Choose -).
 */
function hook_visual_select_file_formatter_options_alter(&$options, &$context) {
  // No huge allowed!
  unset($options['huge'], $options['huge_2']);

  // Move 'pagewide' to the very top and select it.
  $options = array('pagewide' => 'pagewide') + $options;
  $context['default_formatter'] = 'pagewide';
}

/**
 * Implements hook_visual_select_file_results_alter().
 *
 * $results contains:
 * - 'results' -- a 2D array with array($fid, $path, $name and $original).
 * - 'default_style' -- the default image style to select. @see variable visual_select_file_default_style in README.txt
 * $context contains:
 * - 'view' -- the full View object, with raw results etc.
 * - 'field' -- the 'vsf_field' string from $_GET, with format 'entity_type.bundle.field_name'
 */
function hook_visual_select_file_results_alter(&$results, $context) {

}
